# Filename: selection_replace.py
# Purpose: Replaces an object (If it originated from Vulcan).
# Returns: Bool.

from maptek import vulcan_gui

# select layer from the screen
sel = vulcan_gui.selection('Select Object')
sel.pick('BOUNDARY', group=None, feature=None)

# do something after selection...
for obj in sel:
    obj.colour = 2 # make a colour change
    sel.replace(obj) # update the object on the screen